<%@page contentType="text/html;  charset=UTF-8;" pageEncoding="UTF-8"  %>

<%@page import="java.io.ByteArrayInputStream" %>
<%@page import="java.io.ByteArrayOutputStream" %>
<%@page import="java.io.File" %>
<%@page import="java.io.IOException" %>
<%@page import="java.io.InputStream" %>
<%@page import="org.apache.commons.fileupload.servlet.ServletFileUpload" %>
<%@page import="org.apache.commons.fileupload.FileItemFactory" %>
<%@page import="org.apache.commons.fileupload.disk.DiskFileItemFactory" %>
<%@page import="org.apache.commons.fileupload.FileItem" %>
<%@page import="com.csc.library.session.*" %>
<%@page import="com.csc.library.utilities.*,com.csc.library.database.DataSet,java.util.*" %>
<%@page import="com.csc.library.database.CscConnection" %>
<%@page import="com.csc.library.fpprocess.*" %>
<%@page import="com.csc.library.fputility.*" %>
<%@page import="com.google.gson.Gson" %>
<%@page import="com.google.gson.GsonBuilder" %>

<%System.out.print("***!! Update finger print page has been called from client !!***");

		boolean isMultipart = ServletFileUpload.isMultipartContent(request);
		MsgPackage recdata = new MsgPackage();

		if(isMultipart){
			System.out.print("!! Multipart data detected !!");
			// Create a factory for disk-based file items
			FileItemFactory factory = new DiskFileItemFactory();

			// Create a new file upload handler
			ServletFileUpload upload = new ServletFileUpload(factory);

			// Parse the request
			List /* FileItem */ items = upload.parseRequest(request);

			// Process the uploaded items
			Iterator iter = items.iterator();
			HashMap dataitem = new HashMap();
			while (iter.hasNext()) {
				FileItem item = (FileItem) iter.next();

				if (item.isFormField()) {
					String name = item.getFieldName();
					String value = item.getString();
					dataitem.put(name, value);
					System.out.print("!! Field name : "+ name + " value " + value);
				} else {
					try {
						System.out.print("!! File upload detected !!");
						dataitem.put("attchfile", item);
					}catch(Exception e){
						System.out.print(e.getMessage());
					}
				}
			}

			/* save detail */
			if(dataitem.containsKey("data")){
				try {
					System.out.print("show --> " + (String) dataitem.get("data"));
					MsgPackage msgpack = new MsgPackage();
					recdata = msgpack.convStrToMsgPackage((String) dataitem.get("data"));

					SV_UpdEmpfp regf = new SV_UpdEmpfp(recdata);
					regf.run();
				}catch(Exception e){
					System.out.print(e.getMessage());
				}

				/* optional */
				if(dataitem.containsKey("attchfile")){
					try {
						
					}catch(Exception e){
						System.out.print(e.getMessage());
					}
				}
			}
		}else{
			System.out.print("!! package received is not in multipart format !!");
		}
%>

<%=recdata.getPackage()%>
